| AOMedia AV1 Codec

aom_decoder.h File Reference
Common Algorithm Interface » Decoder Algorithm Interface

Describes the decoder algorithm interface to applications. More...

`#include "aom/aom_codec.h"`
`#include "aom/aom_frame_buffer.h"`

Go to the source code of this file.

## Data Structures
struct | aom_codec_stream_info
| Initialization-time Feature Enabling. More...
struct | aom_codec_dec_cfg
| Initialization Configurations. More...

## Macros
#define | AOM_DECODER_ABI_VERSION
| Current ABI version number.
#define | AOM_CODEC_CAP_EXTERNAL_FRAME_BUFFER 0x200000
| Decoder capabilities bitfield.
#define | aom_codec_dec_init(ctx, iface, cfg, flags)
| Convenience macro for aom_codec_dec_init_ver()

## Typedefs
typedef struct aom_codec_stream_info | aom_codec_stream_info_t
| Initialization-time Feature Enabling.
typedef struct aom_codec_dec_cfg | aom_codec_dec_cfg_t
| Initialization Configurations.

## Functions
aom_codec_err_t | aom_codec_dec_init_ver (aom_codec_ctx_t *ctx, aom_codec_iface_t *iface, const aom_codec_dec_cfg_t *cfg, aom_codec_flags_t flags, int ver)
| Initialize a decoder instance.
aom_codec_err_t | aom_codec_peek_stream_info (aom_codec_iface_t *iface, const uint8_t *data, size_t data_sz, aom_codec_stream_info_t *si)
| Parse stream info from a buffer.
aom_codec_err_t | aom_codec_get_stream_info (aom_codec_ctx_t *ctx, aom_codec_stream_info_t *si)
| Return information about the current stream.
aom_codec_err_t | aom_codec_decode (aom_codec_ctx_t *ctx, const uint8_t *data, size_t data_sz, void *user_priv)
| Decode data.
aom_image_t * | aom_codec_get_frame (aom_codec_ctx_t *ctx, aom_codec_iter_t *iter)
| Decoded frames iterator.
aom_codec_err_t | aom_codec_set_frame_buffer_functions (aom_codec_ctx_t *ctx, aom_get_frame_buffer_cb_fn_t cb_get, aom_release_frame_buffer_cb_fn_t cb_release, void *cb_priv)
| Pass in external frame buffers for the decoder to use.

## Detailed Description

Describes the decoder algorithm interface to applications.

This file describes the interface between an application and a video decoder algorithm.